<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: rtp</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch02.html" title="gst-plugins-good Plugins">
<link rel="prev" href="gst-plugins-good-plugins-plugin-replaygain.html" title="replaygain">
<link rel="next" href="gst-plugins-good-plugins-plugin-rtpmanager.html" title="rtpmanager">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-plugin-replaygain.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-plugin-rtpmanager.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-plugin-rtp"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle">rtp</span></h2>
<p>rtp — <a name="plugin-rtp"></a>Real-time protocol plugins</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="id-1.3.49.3"></a><h2>Plugin Information</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">filename</span></p></td>
<td>libgstrtp.so</td>
</tr>
<tr>
<td><p><span class="term">version</span></p></td>
<td>1.4.0</td>
</tr>
<tr>
<td><p><span class="term">run-time license</span></p></td>
<td>LGPL</td>
</tr>
<tr>
<td><p><span class="term">package</span></p></td>
<td>GStreamer Good Plug-ins source release</td>
</tr>
<tr>
<td><p><span class="term">origin</span></p></td>
<td>Unknown package origin</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="id-1.3.49.4"></a><h2>Elements</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">asteriskh263</span></p></td>
<td>Extracts H263 video from RTP and encodes in Asterisk H263 format</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpL16depay.html" title="rtpL16depay">rtpL16depay</a></span></p></td>
<td>Extracts raw audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpL16pay.html" title="rtpL16pay">rtpL16pay</a></span></p></td>
<td>Payload-encode Raw audio into RTP packets (RFC 3551)</td>
</tr>
<tr>
<td><p><span class="term">rtpL24depay</span></p></td>
<td>Extracts raw 24-bit audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpL24pay</span></p></td>
<td>Payload-encode Raw 24-bit audio into RTP packets (RFC 3190)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpac3depay.html" title="rtpac3depay">rtpac3depay</a></span></p></td>
<td>Extracts AC3 audio from RTP packets (RFC 4184)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpac3pay.html" title="rtpac3pay">rtpac3pay</a></span></p></td>
<td>Payload AC3 audio as RTP packets (RFC 4184)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpamrdepay.html" title="rtpamrdepay">rtpamrdepay</a></span></p></td>
<td>Extracts AMR or AMR-WB audio from RTP packets (RFC 3267)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpamrpay.html" title="rtpamrpay">rtpamrpay</a></span></p></td>
<td>Payload-encode AMR or AMR-WB audio into RTP packets (RFC 3267)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpbvdepay.html" title="rtpbvdepay">rtpbvdepay</a></span></p></td>
<td>Extracts BroadcomVoice audio from RTP packets (RFC 4298)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpbvpay.html" title="rtpbvpay">rtpbvpay</a></span></p></td>
<td>Packetize BroadcomVoice audio streams into RTP packets (RFC 4298)</td>
</tr>
<tr>
<td><p><span class="term">rtpceltdepay</span></p></td>
<td>Extracts CELT audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpceltpay</span></p></td>
<td>Payload-encodes CELT audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtpdvdepay</span></p></td>
<td>Depayloads DV from RTP packets (RFC 3189)</td>
</tr>
<tr>
<td><p><span class="term">rtpdvpay</span></p></td>
<td>Payloads DV into RTP packets (RFC 3189)</td>
</tr>
<tr>
<td><p><span class="term">rtpg722depay</span></p></td>
<td>Extracts G722 audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpg722pay</span></p></td>
<td>Payload-encode Raw audio into RTP packets (RFC 3551)</td>
</tr>
<tr>
<td><p><span class="term">rtpg723depay</span></p></td>
<td>Extracts G.723 audio from RTP packets (RFC 3551)</td>
</tr>
<tr>
<td><p><span class="term">rtpg723pay</span></p></td>
<td>Packetize G.723 audio into RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpg726depay</span></p></td>
<td>Extracts G.726 audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpg726pay</span></p></td>
<td>Payload-encodes G.726 audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtpg729depay</span></p></td>
<td>Extracts G.729 audio from RTP packets (RFC 3551)</td>
</tr>
<tr>
<td><p><span class="term">rtpg729pay</span></p></td>
<td>Packetize G.729 audio into RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpgsmdepay</span></p></td>
<td>Extracts GSM audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpgsmpay</span></p></td>
<td>Payload-encodes GSM audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtpgstdepay</span></p></td>
<td>Extracts GStreamer buffers from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpgstpay</span></p></td>
<td>Payload GStreamer buffers as RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtph263depay</span></p></td>
<td>Extracts H263 video from RTP packets (RFC 2190)</td>
</tr>
<tr>
<td><p><span class="term">rtph263pay</span></p></td>
<td>Payload-encodes H263 video in RTP packets (RFC 2190)</td>
</tr>
<tr>
<td><p><span class="term">rtph263pdepay</span></p></td>
<td>Extracts H263/+/++ video from RTP packets (RFC 4629)</td>
</tr>
<tr>
<td><p><span class="term">rtph263ppay</span></p></td>
<td>Payload-encodes H263/+/++ video in RTP packets (RFC 4629)</td>
</tr>
<tr>
<td><p><span class="term">rtph264depay</span></p></td>
<td>Extracts H264 video from RTP packets (RFC 3984)</td>
</tr>
<tr>
<td><p><span class="term">rtph264pay</span></p></td>
<td>Payload-encode H264 video into RTP packets (RFC 3984)</td>
</tr>
<tr>
<td><p><span class="term">rtpilbcdepay</span></p></td>
<td>Extracts iLBC audio from RTP packets (RFC 3952)</td>
</tr>
<tr>
<td><p><span class="term">rtpilbcpay</span></p></td>
<td>Packetize iLBC audio streams into RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpj2kdepay</span></p></td>
<td>Extracts JPEG 2000 video from RTP packets (RFC 5371)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpj2kpay.html" title="rtpj2kpay">rtpj2kpay</a></span></p></td>
<td>Payload-encodes JPEG 2000 pictures into RTP packets (RFC 5371)</td>
</tr>
<tr>
<td><p><span class="term">rtpjpegdepay</span></p></td>
<td>Extracts JPEG video from RTP packets (RFC 2435)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpjpegpay.html" title="rtpjpegpay">rtpjpegpay</a></span></p></td>
<td>Payload-encodes JPEG pictures into RTP packets (RFC 2435)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp1sdepay</span></p></td>
<td>Extracts MPEG1 System Streams from RTP packets (RFC 3555)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp2tdepay</span></p></td>
<td>Extracts MPEG2 TS from RTP packets (RFC 2250)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp2tpay</span></p></td>
<td>Payload-encodes MPEG2 TS into RTP packets (RFC 2250)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4adepay</span></p></td>
<td>Extracts MPEG4 audio from RTP packets (RFC 3016)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4apay</span></p></td>
<td>Payload MPEG4 audio as RTP packets (RFC 3016)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4gdepay</span></p></td>
<td>Extracts MPEG4 elementary streams from RTP packets (RFC 3640)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4gpay</span></p></td>
<td>Payload MPEG4 elementary streams as RTP packets (RFC 3640)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4vdepay</span></p></td>
<td>Extracts MPEG4 video from RTP packets (RFC 3016)</td>
</tr>
<tr>
<td><p><span class="term">rtpmp4vpay</span></p></td>
<td>Payload MPEG-4 video as RTP packets (RFC 3016)</td>
</tr>
<tr>
<td><p><span class="term">rtpmpadepay</span></p></td>
<td>Extracts MPEG audio from RTP packets (RFC 2038)</td>
</tr>
<tr>
<td><p><span class="term">rtpmpapay</span></p></td>
<td>Payload MPEG audio as RTP packets (RFC 2038)</td>
</tr>
<tr>
<td><p><span class="term">rtpmparobustdepay</span></p></td>
<td>Extracts MPEG audio from RTP packets (RFC 5219)</td>
</tr>
<tr>
<td><p><span class="term">rtpmpvdepay</span></p></td>
<td>Extracts MPEG video from RTP packets (RFC 2250)</td>
</tr>
<tr>
<td><p><span class="term">rtpmpvpay</span></p></td>
<td>Payload-encodes MPEG2 ES into RTP packets (RFC 2250)</td>
</tr>
<tr>
<td><p><span class="term">rtppcmadepay</span></p></td>
<td>Extracts PCMA audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtppcmapay</span></p></td>
<td>Payload-encodes PCMA audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtppcmudepay</span></p></td>
<td>Extracts PCMU audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtppcmupay</span></p></td>
<td>Payload-encodes PCMU audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtpqcelpdepay</span></p></td>
<td>Extracts QCELP (PureVoice) audio from RTP packets (RFC 2658)</td>
</tr>
<tr>
<td><p><span class="term">rtpqdm2depay</span></p></td>
<td>Extracts QDM2 audio from RTP packets (no RFC)</td>
</tr>
<tr>
<td><p><span class="term">rtpsbcdepay</span></p></td>
<td>Extracts SBC audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-good-plugins-rtpsbcpay.html" title="rtpsbcpay">rtpsbcpay</a></span></p></td>
<td>Payload SBC audio as RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpsirendepay</span></p></td>
<td>Extracts Siren audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpsirenpay</span></p></td>
<td>Packetize Siren audio streams into RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpspeexdepay</span></p></td>
<td>Extracts Speex audio from RTP packets</td>
</tr>
<tr>
<td><p><span class="term">rtpspeexpay</span></p></td>
<td>Payload-encodes Speex audio into a RTP packet</td>
</tr>
<tr>
<td><p><span class="term">rtpstreamdepay</span></p></td>
<td>Depayloads RTP/RTCP packets for streaming protocols according to RFC4571</td>
</tr>
<tr>
<td><p><span class="term">rtpstreampay</span></p></td>
<td>Payloads RTP/RTCP packets for streaming protocols according to RFC4571</td>
</tr>
<tr>
<td><p><span class="term">rtpsv3vdepay</span></p></td>
<td>Extracts SVQ3 video from RTP packets (no RFC)</td>
</tr>
<tr>
<td><p><span class="term">rtptheoradepay</span></p></td>
<td>Extracts Theora video from RTP packets (draft-01 of RFC XXXX)</td>
</tr>
<tr>
<td><p><span class="term">rtptheorapay</span></p></td>
<td>Payload-encode Theora video into RTP packets (draft-01 RFC XXXX)</td>
</tr>
<tr>
<td><p><span class="term">rtpvorbisdepay</span></p></td>
<td>Extracts Vorbis Audio from RTP packets (RFC 5215)</td>
</tr>
<tr>
<td><p><span class="term">rtpvorbispay</span></p></td>
<td>Payload-encode Vorbis audio into RTP packets (RFC 5215)</td>
</tr>
<tr>
<td><p><span class="term">rtpvp8depay</span></p></td>
<td>Extracts VP8 video from RTP packets)</td>
</tr>
<tr>
<td><p><span class="term">rtpvp8pay</span></p></td>
<td>Puts VP8 video in RTP packets)</td>
</tr>
<tr>
<td><p><span class="term">rtpvrawdepay</span></p></td>
<td>Extracts raw video from RTP packets (RFC 4175)</td>
</tr>
<tr>
<td><p><span class="term">rtpvrawpay</span></p></td>
<td>Payload raw video as RTP packets (RFC 4175)</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>